/*
Site: CAT PLANTER
Code by: ssdaemon
Author URI: http://samusalovaara.com
Description: Pawsome Cat Code For Cat Planter
Version: 1.0
*/





body {
	font-family: 'Cutive Mono', Courier, monospace;
	font-size: 1.7em;
	letter-spacing: 0.6px;
	width: 100%;
  margin: 0 auto;
	background-color: #f49541;
	color: #000;

}

h1{
  font-size: 1.8em;
  font-family: 'Ranga', cursive;
   text-align: center;
   margin:0em;
   
}

h2{
  font-size: 1.4em;
  font-family: 'Ranga', cursive;
   text-align: center;
   margin:0em;
   padding-top: 1em;
}

h3{
  font-size: 1.4em;
  font-family: 'Cutive Mono', Courier, monospace;
   text-align: center;
   margin:0em;
   padding-top: 1em;
}

.hl{
  font-family: 'Ranga', cursive;
  text-transform: uppercase;
  font-size: 120%;
}

.hlu{
  font-family: 'Ranga', cursive;
  text-transform: uppercase;
  font-size: 120%;
  border-bottom: solid 2px #000;
  padding : 2px 2px 2px 4px; 
}

#planter {
  margin: auto;
  width: 90%;
 padding-top: 1em;
 font-family: 'Cutive Mono', Courier, monospace;
 text-align: center;
}

#about {
  margin: auto;
  width: 90%;
 padding-top: 1em;
 font-family: 'Cutive Mono', Courier, monospace;
 text-align: left;
padding-bottom: 2em;
font-size: 0.7em;
line-height: 1.4em;
  /*background-color: #b2bd1a;*/
}

#logo, #logo img, #logo a, #logo-text, #logo-text img, #logo-text a {
    margin: auto;
  width: 90%;
text-decoration: none;
border-bottom: none;
padding: 0px;
}

#logo img{
max-width: 25%;
}

#logo-text img{
  max-width: 88%
}

#logo a, #logo a:hover, #logo-text a, #logo-text a:hover{
text-decoration: none;
border-bottom: none;
    color: #000;
    background-color: transparent;
    padding: 0px;
}

#logo a, #logo-text a{display: inline;}


a {
    color: #000;
    text-decoration: none;
    border-bottom: 2px solid #000;
    padding:3px;
    margin-left: 5px;
    margin-right: 5px;
    font-weight: 400;
    transition: transform 0.3s;
    font-size: 1.4em;
    display: inline-block;
}

a:hover{
    color: #f49541;
    background-color: #000;
    /*transition: all 0.5s cubic-bezier(1, -0.02, 1, 1);*/
    padding: 3px;

      -ms-transform: skewX(-15deg); /* IE 9 */
  -webkit-transform: skewX(-15deg); /* Safari */
  transform: skewX(-15deg);
}



/* 
IMAGE HANDLER For Cat Planter
Lightbox based on Pure CSS Lightbox by Gregory Schier
*/

#ben{
  position: absolute;
    pointer-events: auto;
        z-index: -1;
        top:15%;
        right: 12%
}

#ben img{
  max-width:45%;
  float: right; margin: 0px 0px 15px 15px;
}

#ben1{
  max-width:35%;
  float: left; margin: 3% 5% -1% -2%;
  height: auto;
  position: relative;
  display: inline-block; /* <= shrinks container to image size */
  transition: transform 150ms ease-in-out;
  }


#ben1 img{
  opacity: 1;
  animation: fadeIn 3s ease;
  transition: all 0.5s cubic-bezier(1, -0.02, 1, 1);


@keyframes fadeIn{
  0%{
    opacity: 0;
  }
  100%{
    opacity: 1;
  }}


}

#ben2{
  max-width:35%;
  float: right; margin: 3% 0% 3% 3%;
  height: auto;
  position: relative;
  display: inline-block; /* <= shrinks container to image size */
  transition: transform 50ms ease-in-out;
}

#ben2 img{
  opacity: 1;
  animation: fadeIn 3s ease;
  transition: all 0.5s cubic-bezier(1, -0.02, 1, 1);


@keyframes fadeIn{
  0%{
    opacity: 0;
  }
  100%{
    opacity: 1;
  }}


}

.clickme-right{

  position: absolute;
  bottom: -5px;
  left: 0px;
  max-width: 110px !important;

}

.clickme-left{

  position: absolute;
  bottom: -5px;
  right: 0px;
  max-width: 110px !important;

}

.clickme-left:hover {
  transform: rotate( 15deg );
  transition:0.3s ease-in-out;
}

.clickme-right:hover {
  transform: rotate( -15deg );
  transition:0.3s ease-in-out;
}

.clickme-close{

  position: absolute;
    
    bottom: 3%;
    right: 32%;
    max-width: 140px !important;

}

/** LIGHTBOX MARKUP **/

.thumbnail {
  max-width: 100%;
}

a.catbox{
  text-decoration: none;
  border-bottom: none;
  display: inline;
}

a.catbox:hover{
  text-decoration: none;
  border-bottom: none;
  background-color: transparent;
}

.lightbox {
  /** Default lightbox to hidden */
  display: none;

  /** Position and style */
  position: fixed;
  z-index: 999;
  width: 100%;
  height: 100%;
  text-align: center;
  top: 0;
  left: 0;



  
}

a.lightbox{
  text-decoration: none;
  border-bottom: none;

}

a.lightbox:hover{
  text-decoration: none;
  border-bottom: none;
  background-color: transparent;
  padding: none;
        -ms-transform: none; /* IE 9 */
  -webkit-transform: none; /* Safari */
  transform: none;

}

.lightbox img {
  /** Pad the lightbox image */
  max-width: 90%;
  max-height: 90%;
  margin-top: 3%;

  animation: fadeIn 3s ease;
  transition: all 0.5s cubic-bezier(1, -0.02, 1, 1);


@keyframes fadeIn{
  0%{
    opacity: 0;
  }
  100%{
    opacity: 1;
  }}

}

.lightbox:target {
  /** Remove default browser outline */
  outline: none;

  /** Unhide lightbox **/
  display: block;
}



/* SWIPER BY DH */

.imgwrap {
    width: 100%;
    height: 80%;
    position: absolute;
    top: 10%;
  left: 0;
  overflow: hidden;
  text-align: center;
}

.imgwrap img {
  position: absolute !important;
  min-width: 56vh;
  width: auto;
  height: auto;
  max-width: none !important;
  background: #eee;
  transition: opacity 200ms ease-out;
  height: 98%;
  top: 1%;
  box-shadow: 0 0 1em -0.35em;
  -o-transform: translateX(-50%);
  -webkit-transform: translateX(-50%);
  -moz-transform: translateX(-50%);
  transform: translateX(-50%);
}

.imgwrap.yks img {
  -webkit-animation: swiperOne 7s infinite ease-in-out;
  animation: swiperOne 7s infinite ease-in-out;
  z-index: 2;
}
.imgwrap.kaks img {
  -webkit-animation: swiperTwo 3s infinite ease-in-out;
  animation: swiperTwo 7s infinite ease-in-out;
  z-index: 1;
}

::selection {
  background-color: transparent;
}


@keyframes swiperOne {
  0% { 
    transform: translateX(-50%);
    z-index: 2;
  }
  30% { 
    transform: translateX(-50%);
  }
  35.9% {
    transform: translateX(-100%);
    z-index: 2;
  }
  41% {
    transform: translateX(-100%);
    z-index: 1; 
  }
  50% {
    z-index: 1; 
    transform: translateX(-50%);
  }
  85% {
    z-index: 1; 
    transform: translateX(-50%);
  }
  93% {
    transform: translateX(0%);
  }
  100% { 
    transform: translateX(-50%);
  }
}

@keyframes swiperTwo {
  0% { 
    z-index: 0;
    transform: translateX(-50%);
  }
  30% { 
    transform: translateX(-50%);
  }
  35.9% {
    transform: translateX(0%);
  }
  41% {
    transform: translateX(0%);
    z-index: 0;
  }
  41.01% { z-index: 2; }
  50% {
    transform: translateX(-50%);
  }
  85% {
    transform: translateX(-50%);
  }
  93% {
    z-index: 2; 
    transform: translateX(-100%);
  }
  93.01% { z-index: 1; }
  100% { 
    transform: translateX(-50%);
    z-index: 0;
  }
}


@-webkit-keyframes swiperOne {
  0% { 
    -webkit-transform: translateX(-50%);
    z-index: 2;
  }
  30% { 
    -webkit-transform: translateX(-50%);
  }
  35.9% {
    -webkit-transform: translateX(-100%);
    z-index: 2;
  }
  41% {
    -webkit-transform: translateX(-100%);
    z-index: 1; 
  }
  50% {
    z-index: 1; 
    -webkit-transform: translateX(-50%);
  }
  85% {
    z-index: 1; 
    -webkit-transform: translateX(-50%);
  }
  93% {
    -webkit-transform: translateX(0%);
  }
  100% { 
    -webkit-transform: translateX(-50%);
  }
}

@-webkit-keyframes swiperTwo {
  0% { 
    z-index: 0;
    -webkit-transform: translateX(-50%);
  }
  30% { 
    -webkit-transform: translateX(-50%);
  }
  35.9% {
    -webkit-transform: translateX(0%);
  }
  41% {
    -webkit-transform: translateX(0%);
    z-index: 0;
  }
  41.01% { z-index: 2; }
  50% {
    -webkit-transform: translateX(-50%);
  }
  85% {
    -webkit-transform: translateX(-50%);
  }
  93% {
    z-index: 2; 
    -webkit-transform: translateX(-100%);
  }
  93.01% { z-index: 1; }
  100% { 
    -webkit-transform: translateX(-50%);
    z-index: 0;
  }
}

/*DONATION MARK UP*/

#donation {
  margin: 10px;
  position: relative;
  float: left;
}

.donation{
    width: 200px;
    z-index:10;
  font-size: 3em;
  font-family: 'Ranga', cursive;
   text-align: center;
   margin: auto;
   display: block;
}

#donation svg{
    position: absolute;
    left: -77px;
    top: -120px;
    z-index: 1;
margin: auto;

 -webkit-animation-name: spin;
    -webkit-animation-duration: 6000ms;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-timing-function: linear;
    -moz-animation-name: spin;
    -moz-animation-duration: 6000ms;
    -moz-animation-iteration-count: infinite;
    -moz-animation-timing-function: linear;
    -ms-animation-name: spin;
    -ms-animation-duration: 6000ms;
    -ms-animation-iteration-count: infinite;
    -ms-animation-timing-function: linear;
    
    animation-name: spin;
    animation-duration: 6000ms;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}
@-ms-keyframes spin {
    from { -ms-transform: rotate(0deg); }
    to { -ms-transform: rotate(360deg); }
}
@-moz-keyframes spin {
    from { -moz-transform: rotate(0deg); }
    to { -moz-transform: rotate(360deg); }
}
@-webkit-keyframes spin {
    from { -webkit-transform: rotate(0deg); }
    to { -webkit-transform: rotate(360deg); }
}
@keyframes spin {
    from {
        transform:rotate(0deg);
    }
    to {
        transform:rotate(360deg);
    }

  }


/*CAT CONTACT*/
#catcontact{margin-top: 1em;}

#contact{
margin-top: 3em;
}

#contact a {
    color: #000;
    text-decoration: none;
    margin-left: 5px;
    margin-right: 5px;
    font-weight: 400;
    transition: transform 0.3s;
    font-size: 1.0em;
    display: inline-block;
    border-bottom: none;
}

#contact a:hover{
    color: #000;
    background-color: transparent;
    /*transition: all 0.5s cubic-bezier(1, -0.02, 1, 1);*/
    

      -ms-transform: skewX(-15deg); /* IE 9 */
  -webkit-transform: skewX(-15deg); /* Safari */
  transform: skewX(-15deg);
}

/*FOOTER*/

footer {
  font-size: 0.6em;
  text-align: center;
  padding-top: 8%;
 /* position: absolute;
    bottom: 2%;
    width: 100%;*/

}



/*RESPONSIVE */

@media only screen and (min-width: 650px){
	/*for desktop*/

#logo img {
    width: 20%;
    max-width: 140px;
  }

  #logo-text img{
    width:88%;
  max-width: 450px;
}

body {
	font-family: 'Cutive Mono', Courier, monospace;
	font-size: 1em;
	letter-spacing: 0px;
}

#about{
    font-size: 1.2em;
    width: 70%;
    line-height: 1.6em;
}

h1{
  font-size: 3.0em;
}

h2{
  text-align: left;
  font-size: 1.8em;
}

a{
  font-size: 2.2em
}

#ben2{
  width:40%;
  max-width: 350px;}

#ben2 img{
  float: right; 
  margin: 3% 0% 3% 3%;
  opacity: 1;
}

#ben1{
  width:40%;
  max-width: 350px;}

#ben1 img{
  float: left; 
  margin: 3% 3% 3% -2%;
  opacity: 1;
}

.clickme-right{
  max-width: 160px !important;
}

.clickme-left{
  max-width: 160px !important;
}



#donation svg{
    left: -76px;
    top: -109px;
}

.donation{ font-size: 6em;}
}

/*CAT PLANTER CONTACT TABLE*/ 
/* Create three unequal columns that floats next to each other */


#contact a {

    font-size: 1.0em;
    display: inline-block;
    border-bottom: none;
}

#contact a:hover{
    color: #000;
    background-color: transparent;
    /*transition: all 0.5s cubic-bezier(1, -0.02, 1, 1);*/
    

      -ms-transform: skewX(-15deg); /* IE 9 */
  -webkit-transform: skewX(-15deg); /* Safari */
  transform: skewX(-15deg);
}


.column {
  float: left;
  padding: 10px;
  height: 300px; /* Should be removed. Only for demonstration */
}

.left, .right {
  width: 33%;
}

.middle {
  width: 33%;
}

/* Clear floats after the columns */
.row:after {
  content: "";
  display: table;
  clear: both;
}
